/**
 * Lab #5
 * CS 2334, Section SECTION NUMBER GOES HERE
 * DATE GOES HERE
 * <p>
 * Each object of this class represents a city.
 * </p>
 * @version 1.0
 *
 */
public class City {
	private String name;
	private String state;
	private String latitude;
	private String longitude;
	
	/**
	 * @param name
	 * @param state
	 * @param latitude
	 * @param longitude
	 */
	public City(String name, String state, String latitude, String longitude) {
		this.setName(name);
		this.setState(state);
		this.setLatitude(latitude);
		this.setLongitude(longitude);
	}

	/**
	 * @return the name of the city
	 */
	public String getName() {
		return name;
	}

	/**
	 * @param name the name to set as the city name
	 */
	public void setName(String name) {
		this.name = name;
	}

	/**
	 * @return the state
	 */
	public String getState() {
		return state;
	}
	
	/**
	 * @param state the state to set
	 */
	public void setState(String state) {
		this.state = state;
	}

	/**
	 * @return the longitude
	 */
	public String getLongitude() {
		return longitude;
	}

	/**
	 * @param longitude the longitude to set
	 */
	public void setLongitude(String longitude) {
		this.longitude = longitude;
	}

	/**
	 * @return the latitude
	 */
	public String getLatitude() {
		return latitude;
	}

	/**
	 * @param latitude the latitude to set
	 */
	public void setLatitude(String latitude) {
		this.latitude = latitude;
	}
	
	/**
	 * @return the city as a String
	 */
	public String toString() {
		return name + ", " + state + " (" + latitude + ", " + longitude + ")";
	}
}
