import java.awt.event.*;

/**
 * Lab #5 CS 2334, Section SECTION NUMBER GOES HERE DATE GOES HERE
 * <p>
 * The MVC controller for the program.
 * </p>
 * 
 * @version 1.0
 * 
 */
public class StateController {
	private StateModel model;
	private StateInputWindow inputView;

	/**
	 * Creates new StateController
	 */
	public StateController() {
		// intentionally empty
	}

	/**
	 * AddCityListener provides a method to create a new city. The city
	 * should then be added to the city list of the model. The values for the
	 * new city come from the fields of the inputView. If the model is null
	 * when the method is called, it returns without taking any action.
	 */
	private class AddCityListener implements ActionListener {
		// add method here
	}

	/**
	 * ClearCityListener provides a method to clear the city list of the
	 * model. If the model is null when the method is called, it returns without
	 * taking any action.
	 */
	private class ClearCityListener implements ActionListener {
		// add method here
	}

	/**
	 * ClearInputFieldsListener provides a method to clear the input fields of
	 * the inputView.
	 */
	private class ClearInputFieldsListener implements ActionListener {
		// add method here
	}

	/**
	 * @param model
	 * 			to set as the model
	 */
	public void setModel(StateModel model) {
		this.model = model;
	}

	/**
	 * @return StateModel the model
	 */
	public StateModel getModel() { // future use
		return model;
	}

	/**
	 * @param theView
	 *            on which the listeners should be set
	 */
	public void setInputWindow(StateInputWindow theView) {
		inputView = theView;

		// Register listeners
		inputView.getAddCityButton().addActionListener(new AddCityListener());

		/***
		 * The first action listener has been added above. You need to add the
		 * others below. There needs to be at least one action listener for each
		 * component on which actions can occur.
		 ***/

		System.out.println("listeners registered in controller for input window");
	}

	/**
	 * @return the window (in case it needs to be sent messages from elsewhere)
	 */
	public StateInputWindow getInputWindow() { // future use
		return inputView;
	}
}